<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 26/12/2007 *
 * ================                             Last change: 26/12/2007 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_wernis.php                             *
 * -------------------------------------------------------------------- *
 * Short description : List member's wernis requests                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auflistung der Wernis-Anfragen                   *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

// Check for entries
$result = SQL_QUERY("SELECT id, userid, wernis_account, wernis_amount, wernis_timestamp, wernis_type, wernis_api_message, wernis_api_status FROM `{!_MYSQL_PREFIX!}_user_wernis` ORDER BY wernis_timestamp DESC, id DESC",
	__FILE__, __LINE__);

// Are there some entries to display?
if (SQL_NUMROWS($result) > 0) {
	// List all entries
	$OUT = ""; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// Translate some data and add color
		$content['sw']					= $SW;
		$content['link']				= ADMIN_USER_PROFILE_LINK($content['userid']);
		$content['wernis_amount']		= TRANSLATE_COMMA($content['wernis_amount']);
		$content['wernis_timestamp']	= MAKE_DATETIME($content['wernis_timestamp'], "2");
		$content['raw_type']			= strtolower($content['wernis_type']);
		$content['wernis_type']			= WERNIS_TRANSFER_STATUS($content['wernis_type']);

		// Fix empty message and status
		if (empty($content['wernis_api_message'])) $content['wernis_api_message'] = "---";
		if (empty($content['wernis_api_status']))  $content['wernis_api_status']  = "OK";

		// Append it and switch colors
		$OUT .= LOAD_TEMPLATE("admin_list_wernis_row", true, $content);
		$SW = 3 - $SW;
	}

	// Load main template
	LOAD_TEMPLATE("admin_list_wernis_main", false, $OUT);
} else {
	// Nothing to display!
	LOAD_TEMPLATE("admin_settings_saved", false, WERNIS_ADMIN_NO_TRANSFERS);
}

// Free the result
SQL_FREERESULT($result);

//
?>
